---

- name: install haproxy
  become: true
  package:
    name: haproxy
    state: present

- name: template haproxy config
  become: true
  copy:
    content: "{{ haproxy__config|d('') }}"
    dest: "/etc/haproxy/haproxy.cfg"
  notify: reload haproxy

- name: enable and start haproxy
  become: true
  systemd:
    name: haproxy
    enabled: true
    state: started


